Name:     javamail
Version:  1.6.3
Release:  1%{?dist}
Summary:  Platform-independent and protocol-independent framework for mail applications

License:  EPL-2.0 or GPLv2 with exceptions
URL:      https://github.com/eclipse-ee4j/javamail

# original source: https://github.com/eclipse-ee4j/javamail/archive/initial-contribution.tar.gz
Source0:  javamail-1.6.3.tar.gz

Patch0:   0_ignore_broken_tests.patch
Patch1:   1_dont_publish.patch
Patch2:   2_module_info.patch
Patch3:   3_remove_javadoc_aggregate.patch
Patch5:   4_jar_for_webapp.patch
Patch6:   5_servlet_module.patch

BuildArch:  noarch

BuildRequires:  ee4j
BuildRequires:  jboss-jsp-2.2-api
BuildRequires:  glassfish-hk2-maven-plugins
BuildRequires:  glassfish-servlet-api
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-local
BuildRequires:  maven-plugin-build-helper
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-source-plugin

Requires: java-openjdk

Provides: osgi(javax.mail.dsn) = %{version}
Provides: osgi(javax.mail.gimap) = %{version}
Provides: osgi(javax.mail.imap) = %{version}
Provides: osgi(javax.mail.pop3) = %{version}
Provides: osgi(javax.mail.smtp) = %{version}

%description
The JavaMail API provides a platform-independent and protocol-independent
framework to build mail and messaging applications. The JavaMail API is
available as an optional package for use with the Java SE platform
and is also included in the Java EE platform.

%prep
%setup -q

# these tests need to be re-written for jdk >=1.8
%patch0 -p1

# no need to publish release build
%patch1 -p1

# add missing module-info.java files
%patch2 -p1

# javadoc:aggregate causing build issues, see https://issues.apache.org/jira/browse/MJAVADOC-449
%patch3 -p1
%pom_disable_module javadoc

# webapp creates WAR which cannot be installed (org.fedoraproject.xmvn.tools.install.ArtifactInstallationException)
# create JAR instread of WAR
%patch5 -p1

# add servlet module to build
%patch6 -p1

%pom_disable_module android

%pom_remove_dep javax.activation:activation mail

%mvn_alias com.sun.mail:mailapi javax.mail:mailapi
%mvn_alias com.sun.mail:javax.mail javax.mail:mail \
           org.eclipse.jetty.orbit:javax.mail.glassfish
%mvn_file "com.sun.mail:{javax.mail}" %{name}/@1 %{name}/mail

%build

# skip javadoc generation
%mvn_build -j

%install
%mvn_install

install -d -m 755 %{buildroot}%{_javadir}/javax.mail/
ln -sf ../%{name}/javax.mail.jar %{buildroot}%{_javadir}/javax.mail/

%files
%license LICENSE.md
%doc README.md
/usr/lib/java/%{name}
%{_javadir}/%{name}
%{_javadir}/javax.mail/
%{_datadir}/maven-poms/%{name}
%{_datadir}/maven-metadata/%{name}.xml

%changelog
* Tue Oct 16 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.6.3-1
- Version update (new sources: https://github.com/eclipse-ee4j/javamail)

* Tue Aug 21 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.6.1-1
- Version update (new sources: https://github.com/javaee/javamail)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 09 2017 Michael Simacek <msimacek@redhat.com> - 1.5.2-6
- Specify CDDL license version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 6 2015 Alexander Kurtakov <akurtako@redhat.com> 1.5.2-1
- Update to upstream 1.5.2 using upstream tarball.

* Fri Mar 6 2015 Alexander Kurtakov <akurtako@redhat.com> 1.5.1-5
- Remove javax.activation:activation dependency.

* Mon Aug  4 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.1-4
- Fix build-requires on jvnet-parent

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 31 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.1-2
- Regenerate build-requires

* Mon Mar 31 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.1-1
- Update to upstream version 1.5.1

* Mon Mar 31 2014 Alexander Kurtakov <akurtako@redhat.com> 1.5.0-8
- Do not generate uses clauses for osgi -too strict linking.

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.0-7
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.0-6
- Add forgotten provides

* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.0-5
- Add javax.mail provides and directory

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.0-3
- Add compat symlink for javax.mail:mail

* Mon Jun 24 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.0-2
- Add Maven alias for javax.mail:mail

* Mon Jun 24 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.0-1
- Update to upstream version 1.5.0

* Thu Mar  7 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4.6-1
- Update to upstream version 1.4.6

* Mon Mar  4 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4.3-16
- Add depmap for org.eclipse.jetty.orbit
- Resolves: rhbz#917624

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.4.3-14
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Oct 11 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4.3-13
- Fix URL

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4.3-11
- Update OSGi manifest patch

* Tue May 29 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.4.3-10
- Add extra information to OSGi manifest
- Fix rpmlint error about mavendepmapfragdir

* Wed Mar 21 2012 Alexander Kurtakov <akurtako@redhat.com> 1.4.3-9
- Drop tomcat6-jsp-api requires - it's dependency management not dependency, hence not needed.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Alexander Kurtakov <akurtako@redhat.com> 1.4.3-7
- Build with maven3.
- Adapt to current guidelines.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.3-5
- Fix pom filenames (#655806)
- Versionless jars/javadocs (new guidelines)
- Migrate to tomcat6 (#652004)
- Other cleanups

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4.3-4
- Add surefire provider BR.

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4.3-3
- Drop gcj_support.
- Use javadoc:aggregate.

* Fri Jan  8 2010 Mary Ellen Foster <mefoster at gmail.com> 1.4.3-2
- Remove unnecessary (build)requirement tomcat5-servlet-2.4-api
- Move jar files into subdirectory

* Wed Dec  2 2009 Mary Ellen Foster <mefoster at gmail.com> 1.4.3-1
- Initial package
